## zeroc-ice 3.6.3

=== Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

SUBDIRS		= cpp java js python ruby php
CLEAN_SUBDIRS	= js java python ruby php cpp
DEPEND_SUBDIRS	= cpp python ruby php
INSTALL_SUBDIRS	= cpp java python ruby php

ifeq ($(shell uname),Darwin)
SUBDIRS		+= objective-c
CLEAN_SUBDIRS	+= objective-c
DEPEND_SUBDIRS	+= objective-c
INSTALL_SUBDIRS	+= objective-c
endif

all::
	@for subdir in $(SUBDIRS); \
	do \
	    echo "making all in $$subdir"; \
	    ( cd $$subdir && $(MAKE) all ) || exit 1; \
	done

clean::
	@for subdir in $(CLEAN_SUBDIRS); \
	do \
	    echo "making clean in $$subdir"; \
	    ( cd $$subdir && $(MAKE) clean ) || exit 1; \
	done

depend::
	@for subdir in $(DEPEND_SUBDIRS); \
	do \
	    echo "making depend in $$subdir"; \
	    ( cd $$subdir && $(MAKE) depend ) || exit 1; \
	done

install::
	@for subdir in $(INSTALL_SUBDIRS); \
	do \
	    echo "making install in $$subdir"; \
	    ( cd $$subdir && $(MAKE) install ) || exit 1; \
	done

test::
	@for subdir in $(SUBDIRS); \
	do \
	    echo "making test in $$subdir"; \
	    ( cd $$subdir && $(MAKE) test ) || exit 1; \
	done

cpp::
	echo "making all in cpp";
	( cd cpp && $(MAKE) all ) || exit 1;

java::
	echo "making all in java";
	( cd java && $(MAKE) all ) || exit 1;

cs::
	echo "making all in cs";
	( cd cs && $(MAKE) all ) || exit 1;

python::
	echo "making all in python";
	( cd python && $(MAKE) all ) || exit 1;

ruby::
	echo "making all in ruby";
	( cd ruby && $(MAKE) all ) || exit 1;

php::
	echo "making all in php";
	( cd php && $(MAKE) all ) || exit 1;

=== cpp/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= .

include $(top_srcdir)/config/Make.rules

SUBDIRS		= config src include

ifneq ($(MAKECMDGOALS),install)
    SUBDIRS		:= $(SUBDIRS) test
endif

ifeq ($(NOTEST),yes)
    SUBDIRS		:= $(filter-out test, $(SUBDIRS))
endif

INSTALL_SUBDIRS	= $(install_bindir) $(install_libdir)$(cpp11libdirsuffix) $(install_includedir) \
	$(install_configdir) $(install_mandir)

install:: install-common
	@for subdir in $(INSTALL_SUBDIRS); \
	do \
	    if test ! -d $(DESTDIR)$$subdir ; \
	    then \
		echo "Creating $(DESTDIR)$$subdir..." ; \
		mkdir -p $(DESTDIR)$$subdir ; \
		chmod a+rx $(DESTDIR)$$subdir ; \
	    fi ; \
	done
ifeq ($(create_runpath_symlink),yes)
	@if test -h $(embedded_runpath_prefix) ; \
	then \
	     if `\rm -f $(embedded_runpath_prefix) 2>/dev/null`; \
              then echo "Removed symbolic link $(embedded_runpath_prefix)"; fi \
        fi
	@if ! test -d $(embedded_runpath_prefix) ; \
	then \
	     if `ln -s $(prefix) $(embedded_runpath_prefix) 2>/dev/null`; \
              then echo "Created symbolic link $(embedded_runpath_prefix) --> $(prefix)"; fi \
	fi
endif

$(EVERYTHING)::
	@for subdir in $(SUBDIRS); \
	do \
	    echo "making $@ in $$subdir"; \
	    ( cd $$subdir && $(MAKE) $@ ) || exit 1; \
	done

test::
	@python $(top_srcdir)/allTests.py

=== csharp/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= .

include $(top_srcdir)/config/Make.rules.cs

SUBDIRS		= src

ifneq ($(MAKECMDGOALS),install)
SUBDIRS		:= $(SUBDIRS) test
endif

INSTALL_SUBDIRS	= $(install_bindir) $(install_assembliesdir) $(install_mandir)

install:: install-common
	@for subdir in $(INSTALL_SUBDIRS); \
	do \
	    if test ! -d $(DESTDIR)$$subdir ; \
	    then \
		echo "Creating $$subdir..." ; \
		mkdir -p $(DESTDIR)$$subdir ; \
		chmod a+rx $(DESTDIR)$$subdir ; \
	    fi ; \
	done

ifeq ($(GACINSTALL),yes)
install:: install-common
	@if test ! -d $(DESTDIR)$(install_libdir) ; \
	then \
	    echo "Creating $(install_libdir)..." ; \
	    $(call mkdir,$(DESTDIR)$(install_libdir)) ; \
	fi
	@if test ! -d $(DESTDIR)$(install_pkgconfigdir) ; \
	then \
	    echo "Creating $(DESTDIR)$(install_pkgconfigdir)..." ; \
	    $(call mkdir,$(DESTDIR)$(install_pkgconfigdir)) ; \
	fi

endif

$(EVERYTHING)::
	@for subdir in $(SUBDIRS); \
	do \
	    echo "making $@ in $$subdir"; \
	    ( cd $$subdir && $(MAKE) $@ ) || exit 1; \
	done

test::
	@python $(top_srcdir)/allTests.py

=== java/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

ifeq ($(GRADLE),)
GRADLE = ./gradlew
endif

ifneq ($(prefix),)
  GRADLEOPTS += -Pprefix=$(prefix)
endif

ifneq ($(DESTDIR),)
  GRADLEOPTS += -PDESTDIR=$(DESTDIR)
endif

ifneq ($(install_javadir),)
  GRADLEOPTS += -Dorg.gradle.project.jarDir=$(install_javadir)
endif

ifneq ($(install_bindir),)
  GRADLEOPTS += -Dorg.gradle.project.binDir=$(install_bindir)
endif

all:
	$(GRADLE) $(GRADLEOPTS) build

tests:
	$(GRADLE) $(GRADLEOPTS) :test:assemble

dist:
	$(GRADLE) $(GRADLEOPTS) dist

clean:
	$(GRADLE) $(GRADLEOPTS) clean

install::
	$(GRADLE) $(GRADLEOPTS) install

test::
	@python ./allTests.py

=== js/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

ifeq ($(NPM),)
NPM = npm
endif

all: npminstall
	$(NPM) run gulp:build

dist: npminstall
	$(NPM) run gulp:dist

clean: npminstall
	$(NPM) run gulp:clean

lint: npminstall
	$(NPM) run gulp:lint

test:
	@python ./allTests.py

npminstall:
	$(NPM) install

=== objective-c/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= .

include $(top_srcdir)/config/Make.rules

SUBDIRS		= src include

ifneq ($(MAKECMDGOALS),install)
    SUBDIRS	:= $(SUBDIRS) test
endif

INSTALL_SUBDIRS	= $(install_libdir)$(cpp11libdirsuffix) $(install_includedir)

install:: install-common
	@for subdir in $(INSTALL_SUBDIRS); \
	do \
	    if test ! -d $(DESTDIR)$$subdir ; \
	    then \
		echo "Creating $(DESTDIR)$$subdir..." ; \
		mkdir -p $(DESTDIR)$$subdir ; \
		chmod a+rx $(DESTDIR)$$subdir ; \
	    fi ; \
	done
ifeq ($(create_runpath_symlink),yes)
	@if test -h $(embedded_runpath_prefix) ; \
	then \
	     if `\rm -f $(embedded_runpath_prefix) 2>/dev/null`; \
              then echo "Removed symbolic link $(embedded_runpath_prefix)"; fi \
        fi
	@if ! test -d $(embedded_runpath_prefix) ; \
	then \
	     if `ln -s $(prefix) $(embedded_runpath_prefix) 2>/dev/null`; \
              then echo "Created symbolic link $(embedded_runpath_prefix) --> $(prefix)"; fi \
	fi
endif

$(EVERYTHING)::
	@for subdir in $(SUBDIRS); \
	do \
	    echo "making $@ in $$subdir"; \
	    ( cd $$subdir && $(MAKE) $@ ) || exit 1; \
	done

test::
	@python $(top_srcdir)/allTests.py

=== php/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= .

include $(top_srcdir)/config/Make.rules.php

SUBDIRS		= src lib

ifneq ($(MAKECMDGOALS),install)
SUBDIRS		:= $(SUBDIRS) test
endif

ifeq ($(NOTEST),yes)
    SUBDIRS		:= $(filter-out test, $(SUBDIRS))
endif

INSTALL_SUBDIRS = $(install_phpdir) $(install_libdir)

install:: install-common
	@for subdir in $(INSTALL_SUBDIRS); \
	do \
	    if test ! -d $(DESTDIR)$$subdir ; \
	    then \
		echo "Creating $(DESTDIR)$$subdir..." ; \
		mkdir -p $(DESTDIR)$$subdir ; \
		chmod a+rx $(DESTDIR)$$subdir ; \
	    fi ; \
	done

$(EVERYTHING)::
	@for subdir in $(SUBDIRS); \
	do \
	    echo "making $@ in $$subdir"; \
	    ( cd $$subdir && $(MAKE) $@ ) || exit 1; \
	done

test::
	@python $(top_srcdir)/allTests.py

=== python/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= .

ifeq ($(PYTHON),)
    PYTHON = python
endif

include $(top_srcdir)/config/Make.rules

SUBDIRS		= modules python

INSTALL_SUBDIRS = $(install_pythondir) $(install_libdir)

install:: install-common
	@for subdir in $(INSTALL_SUBDIRS); \
	do \
	    if test ! -d $(DESTDIR)$$subdir ; \
	    then \
		echo "Creating $(DESTDIR)$$subdir..." ; \
		mkdir -p $(DESTDIR)$$subdir ; \
		chmod a+rx $(DESTDIR)$$subdir ; \
	    fi ; \
	done

$(EVERYTHING)::
	@for subdir in $(SUBDIRS); \
	do \
	    echo "making $@ in $$subdir"; \
	    ( cd $$subdir && $(MAKE) $@ ) || exit 1; \
	done

test::
	@$(PYTHON) $(top_srcdir)/allTests.py

=== ruby/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= .

include $(top_srcdir)/config/Make.rules

SUBDIRS		= src ruby

INSTALL_SUBDIRS = $(install_rubydir) $(install_libdir)

install:: install-common
	@for subdir in $(INSTALL_SUBDIRS); \
	do \
	    if test ! -d $(DESTDIR)$$subdir ; \
	    then \
		echo "Creating $(DESTDIR)$$subdir..." ; \
		mkdir -p $(DESTDIR)$$subdir ; \
		chmod a+rx $(DESTDIR)$$subdir ; \
	    fi ; \
	done

$(EVERYTHING)::
	@for subdir in $(SUBDIRS); \
	do \
	    echo "making $@ in $$subdir"; \
	    ( cd $$subdir && $(MAKE) $@ ) || exit 1; \
	done

test::
	@python $(top_srcdir)/allTests.py

=== cpp/config/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= ..

include $(top_srcdir)/config/Make.rules

all::

install::
	$(call installdata,templates.xml,$(DESTDIR)$(install_configdir))
	$(call installdata,upgradeicegrid36.py,$(DESTDIR)$(install_configdir))
	$(call installdata,icegrid-slice.3.5.ice.gz,$(DESTDIR)$(install_configdir))
	$(call installdata,icegrid-slice.3.6.ice.gz,$(DESTDIR)$(install_configdir))

=== cpp/include/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= ..

include $(top_srcdir)/config/Make.rules

SUBDIRS		= Ice \
		  IceSSL \
		  IceUtil \
		  Slice

ifeq ($(findstring MINGW,$(UNAME)),)
SUBDIRS		:= $(SUBDIRS) \
		Freeze \
		Glacier2 \
		IceBox \
		IceGrid \
		IcePatch2 \
		IceStorm
endif


$(EVERYTHING)::
	@for subdir in $(SUBDIRS); \
	do \
	    echo "making $@ in $$subdir"; \
	    ( cd $$subdir && $(MAKE) $@ ) || exit 1; \
	done

=== cpp/src/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= ..

include $(top_srcdir)/config/Make.rules

ifneq ($(findstring MINGW,$(UNAME)),)
    SUBDIRS	= IceUtil \
		  Slice \
		  slice2cpp \
		  Ice \
		  IceSSL \
		  IceDiscovery \
		  IceLocatorDiscovery
else
    SUBDIRS	= IceUtil \
		  Slice \
		  slice2cpp \
		  slice2cs \
		  slice2freeze \
		  slice2freezej \
		  slice2java \
		  slice2php \
		  slice2py \
		  slice2html \
		  slice2js

ifeq ($(UNAME),Darwin)
    SUBDIRS	:= $(SUBDIRS) slice2objc
endif

    SUBDIRS	:= $(SUBDIRS) \
		   Ice \
		   IceXML \
		   IceSSL \
		   IceDiscovery \
		   IceLocatorDiscovery \
		   Freeze \
		   FreezeScript \
		   IceBox \
		   Glacier2Lib \
		   Glacier2CryptPermissionsVerifier \
		   Glacier2 \
		   IcePatch2Lib \
		   IcePatch2 \
		   IceStormLib \
		   IceGridLib \
		   IceStorm \
		   IceGrid
endif

.PHONY: $(EVERYTHING) $(SUBDIRS)

#
# Dependencies for 'all' target when using -jx
#

Slice: IceUtil

slice2cpp slice2cs slice2freeze slice2freezej slice2java slice2js slice2php slice2py slice2html slice2objc: Slice

Ice: slice2cpp

IceXML IceSSL Freeze FreezeScript IceBox Glacier2Lib IcePatch2Lib IceStormLib IceGridLib: Ice

Freeze: slice2freeze

FreezeScript: Freeze

Glacier2 IceGridLib Glacier2CryptPermissionsVerifier: Glacier2Lib

IcePatch2: IcePatch2Lib

IceStorm: IceBox IceStormLib IceGridLib Glacier2Lib Freeze

IceGrid: IceGridLib IceStorm IcePatch2Lib Freeze IceSSL IceBox IceXML

IceDiscovery IceLocatorDiscovery: Ice

all:: $(SUBDIRS)

$(SUBDIRS):
	@echo "making all in $@"
	@$(MAKE) all --directory=$@

$(EVERYTHING_EXCEPT_ALL)::
	@for subdir in $(SUBDIRS); \
        do \
            if test -d $$subdir ; \
            then \
                echo "making $@ in $$subdir"; \
                ( cd $$subdir && $(MAKE) $@ ) || exit 1; \
            fi; \
        done

=== debian/changelog ===
zeroc-ice (3.6.3-5) unstable; urgency=medium

  * Do not install libIceStormService.so (Closes: #857219)
  * Fix libzeroc-ice3.6-java install to use 3.6 name

 -- Jose <jose@zeroc.com>  Thu, 09 Mar 2017 16:22:39 +0100

zeroc-ice (3.6.3-4) unstable; urgency=medium

  * Move javahelper to Build-Depends to fix Bug#847010

 -- Jose <jose@zeroc.com>  Mon, 05 Dec 2016 09:37:57 +0100

zeroc-ice (3.6.3-3) unstable; urgency=medium

  * Missing Jgoodies dependencies in zeroc-icegridgui
  * Do not use JGoodies PlasticLookAndFeel. We avoid using
    JGoodies PlasticLookAndFeel as it is triggering a
    bug in JFileChooser that causes an application crash

 -- Jose <jose@zeroc.com>  Thu, 01 Dec 2016 22:39:10 +0100

zeroc-ice (3.6.3-2) unstable; urgency=medium

  * Fix package upgrade from stretch

 -- Jose <jose@zeroc.com>  Fri, 14 Oct 2016 17:26:35 +0000

zeroc-ice (3.6.3-1) unstable; urgency=medium

  * Ice-3.6.3 release
  * Added Ice for Python package python3-zeroc-ice
  * Remove javafx dependency
  * Fix service packaging

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Tue, 11 Oct 2016 13:21:56 +0200

=== debian/control ===
Source: zeroc-ice
Section: devel
Priority: extra
Maintainer: José Gutiérrez de la Concha <jose@zeroc.com>
Uploaders: Ondřej Surý <ondrej@debian.org>
Build-Depends-Indep: default-jdk,
                     gradle (>= 2),
                     gradle-ice-builder-plugin,
                     libdb-java,
                     libjgoodies-forms-java (>= 1.6.0),
                     libjgoodies-looks-java (>= 2.5.2)
Build-Depends: debhelper (>= 9),
               dh-exec,
               dh-php (>= 0.20),
               dh-python,
               dh-systemd (>= 1.3),
               libbz2-dev,
               libdb++-dev,
               libexpat1-dev,
               libmcpp-dev,
               libssl-dev,
               locales-all,
               maven-repo-helper (>= 1.8),
               javahelper,
               php-all-dev,
               php-cli,
               python3,
               python3-dev,
               python3-setuptools
Standards-Version: 3.9.8
X-Python3-Version: >= 3.4
Homepage: https://zeroc.com
Vcs-Git: https://github.com/zeroc-ice/ice-debian-packaging.git
Vcs-Browser: https://github.com/zeroc-ice/ice-debian-packaging.git

Package: libzeroc-freeze3.6
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: libzeroc-ice3.6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: C++ run-time for the Freeze persistence service
 This package contains the C++ run-time for the Freeze persistence service.
 .
 The Freeze persistence service allows you to store Ice objects in Oracle
 Berkeley DB, with all the features you expect from a robust database -
 transactions, hot backups, indexing, and more.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: libzeroc-ice-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Replaces: libice++-dev,
          libzeroc-ice35-dev
Depends: libzeroc-freeze3.6 (= ${binary:Version}),
         libzeroc-ice3.6 (= ${binary:Version}),
         zeroc-ice-compilers (= ${binary:Version}),
         zeroc-ice-slice (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: libraries and headers for developing Ice applications in C++
 This package contains the libraries and headers needed for developing
 Ice applications in C++.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: libzeroc-ice3.6-java
Architecture: all
Multi-Arch: foreign
Section: java
Replaces: libice-java-dev,
          libzeroc-ice3.6-java
Depends: default-jdk | openjdk-7-jdk | openjdk-8-jdk | oracle-java7-installer | oracle-java8-installer,
         libdb5.3-java (>= 5.3.28),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Ice for Java run-time libraries.
 This package contains Ice for Java run-time libraries.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: libzeroc-ice3.6
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends}
Description: C++ run-time libraries for the Ice framework
 This package contains C++ run-time libraries for the Ice framework.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: libzeroc-icestorm3.6
Architecture: any
Multi-Arch: same
Section: net
Pre-Depends: ${misc:Pre-Depends}
Depends: libzeroc-freeze3.6 (= ${binary:Version}),
         libzeroc-ice3.6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: IceStorm publish-subscribe event distribution service
 This package contains the IceStorm publish-subscribe event distribution
 service.
 .
 IceStorm helps you create push applications. Your Ice client (the publisher)
 sends a request to a topic managed by IceStorm, and IceStorm delivers this
 request to all the subscribers (Ice objects) that you registered with this
 topic.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: php-zeroc-ice
Architecture: any
Section: php
Replaces: libice3.5-php
Depends: libzeroc-ice3.6 (= ${binary:Version}),
         ${misc:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Provides: ${php:Provides}
Description: PHP extension for Ice
 This package contains a PHP extension for communicating with Ice.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: python3-zeroc-ice
Architecture: any
Section: python
Depends: libzeroc-ice3.6 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 extension for Ice
 This package contains a Python 3 extension for communication with Ice.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-glacier2
Architecture: any
Multi-Arch: foreign
Section: net
Conflicts: libzeroc-freeze3.6 (< 3.6.3-1)
Breaks: libzeroc-freeze3.6 (< 3.6.3-1)
Replaces: glacier2,
          ice35-services
Depends: libzeroc-ice3.6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Glacier2 router
 This package contains the Glacier2 router. A Glacier2 router allows you to
 securely route Ice communications across networks, such as the public Internet
 and a private network behind a firewall. With Glacier2, you only need to open
 one port in your firewall to make multiple back-end Ice servers reachable by
 remote Ice clients on the Internet.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-ice-all-dev
Architecture: all
Section: devel
Depends: libzeroc-ice-dev (>= ${source:Version}),
         zeroc-ice-compilers (>= ${source:Version}),
         zeroc-ice-slice (= ${source:Version}),
         ${misc:Depends}
Description: Ice development packages (metapackage)
 This is a metapackage that depends on all development packages for Ice.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-ice-all-runtime
Architecture: all
Section: net
Depends: libzeroc-freeze3.6 (>= ${source:Version}),
         libzeroc-ice3.6 (>= ${source:Version}),
         libzeroc-icestorm3.6 (>= ${source:Version}),
         libzeroc-ice3.6-java (= ${source:Version}),
         php-zeroc-ice (>= ${source:Version}),
         python3-zeroc-ice (>= ${source:Version}),
         zeroc-glacier2 (>= ${source:Version}),
         zeroc-ice-slice (>= ${source:Version}),
         zeroc-ice-utils (>= ${source:Version}),
         zeroc-icegridgui (>= ${source:Version}),
         zeroc-icebox (>= ${source:Version}),
         zeroc-icegrid (>= ${source:Version}),
         zeroc-icepatch2 (>= ${source:Version}),
         ${misc:Depends}
Replaces: icebox, libzeroc-ice-java (<=3.5.1)
Description: Ice run-time packages (metapackage)
 This is a metapackage that depends on all run-time packages for Ice.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-ice-compilers
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: libzeroc-ice3.6 (= ${binary:Version}),
         zeroc-ice-slice (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: ice35-translators
Replaces: ice35-translators
Description: Slice compilers for developing Ice applications
 This package contains Slice compilers for developing Ice applications.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-ice-slice
Architecture: all
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}
Description: Slice files for Ice
 This package contains Slice files used by the Ice framework.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-ice-utils
Architecture: any
Multi-Arch: foreign
Section: admin
Replaces: ice-utils,
          ice35-services,
          icebox
Depends: libzeroc-freeze3.6 (= ${binary:Version}),
         libzeroc-ice3.6 (= ${binary:Version}),
         libzeroc-icestorm3.6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Ice utilities and admin tools
 This package contains Ice utilities and admin tools.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-icegridgui
Architecture: all
Multi-Arch: foreign
Section: admin
Replaces: ice-utils,
          icegrid-gui,
          ice-utils-java
Conflicts: zeroc-ice-utils-java (< 3.6.3-1)
Breaks: zeroc-ice-utils-java (< 3.6.3-1)
Depends: default-jre | default-jdk | openjdk-7-jdk | openjdk-8-jdk | oracle-java7-installer | oracle-java8-installer | openjdk-7-jre | openjdk-8-jre,
         libzeroc-ice3.6-java (>= ${source:Version}),
         ${java:Depends},
         ${misc:Depends}
Description: IceGrid Admin graphical client
 The IceGrid service helps you locate, deploy and manage Ice servers.
 .
 The IceGrid GUI give you complete control over your deployed applications.
 Activities such as starting a server or modifying a configuration setting are
 just a mouse click away.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-icebox
Architecture: any
Multi-Arch: foreign
Section: net
Replaces: icebox
Provides: icebox
Depends: libzeroc-ice3.6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: IceBox server, a framework for Ice application services
 This package contains the IceBox server, an easy-to-use framework for
 developing and deploying application services.
 .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export LC_ALL=en_US.UTF-8

# This has to be exported to make some magic below work.
export DH_OPTIONS

# enable dpkg build flags
# disable full hardening for now
# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export LD_LIBRARY_PATH  := $(CURDIR)/cpp/lib/$(DEB_HOST_MULTIARCH):$(LD_LIBRARY_PATH)
export JAVA_HOME=/usr/lib/jvm/default-java
export GRADLE		= gradle
export GRADLEOPTS	= --gradle-user-home $(CURDIR)/.gradle \
			  --info \
			  --console plain \
			  --offline \
			  --stacktrace \
			  --no-daemon \
			  --refresh-dependencies \
			  -PicegridguiProguard=false \
			  -PjgoodiesLooksVersion=debian \
			  -PjgoodiesFormsVersion=debian \
			  -PiceBuilderVersion=debian

#
# These files are not installed with any debian package.
#
INSTALL_EXCLUDE		= usr/lib/$(DEB_HOST_MULTIARCH)/libIceStormService.so

export PYTHONDIR := $(shell python3 -c "import sys;print('python{0}.{1}'.format(sys.version_info.major, sys.version_info.minor))")

PHP_VERSIONS := $(shell /usr/sbin/phpquery -V)

export VERSION   := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's,^\([.0-9]*\).*,\1,')

ifeq ($(DEB_HOST_ARCH_CPU),i386)
export ICEBOX := icebox32
else
export ICEBOX := icebox
endif

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	OPTIMIZE=yes
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	PROCESSORS := $(shell cat /proc/cpuinfo | grep processor | wc -l)
	ifneq ($(PROCESSORS),0)
	    MAKEFLAGS += -j$(PROCESSORS)
	endif
endif

DHARGS	= --parallel --with maven_repo_helper --with systemd --with php --with python3 --with javahelper

DESTDIR = $(CURDIR)/debian/tmp
MAKEOPTS = DESTDIR=$(DESTDIR) prefix=/usr OPTIMIZE=$(OPTIMIZE)

ifneq ($(filter notest nocheck,$(DEB_BUILD_OPTIONS)),)
MAKEOPTS += NOTEST=yes
endif

%:
	dh $@ $(DHARGS)

override_dh_auto_build-arch:
	$(MAKE) $(MAKEOPTS) -C cpp
	for v in $(PHP_VERSIONS); do \
	  cp -a php php-$${v}; \
	  PHP_CONFIG=php-config$${v} $(MAKE) $(MAKEOPTS) -C php-$${v}; \
	done
	PYTHON=python3 $(MAKE) $(MAKEOPTS) -C python

override_dh_auto_build-indep:
	$(MAKE) $(MAKEOPTS) -C cpp
ifeq ($(filter notest nocheck,$(DEB_BUILD_OPTIONS)),)
	$(MAKE) $(MAKEOPTS) -C java
else
	$(MAKE) $(MAKEOPTS) -C java dist
endif

override_dh_auto_install-arch:
	$(MAKE) $(MAKEOPTS) -C cpp install
	for v in $(PHP_VERSIONS); do \
	  PHP_CONFIG=php-config$${v} $(MAKE) $(MAKEOPTS) -C php-$${v} install; \
	done
	PYTHON=python3 $(MAKE) $(MAKEOPTS) -C python install
	rm -rf $(addprefix $(DESTDIR)/,$(INSTALL_EXCLUDE))

override_dh_auto_install-indep:
	$(MAKE) $(MAKEOPTS) -C cpp install
	$(MAKE) $(MAKEOPTS) -C java install
	rm -rf $(DESTDIR)/usr/share/java/*-sources.jar
	rm -rf $(addprefix $(DESTDIR)/,$(INSTALL_EXCLUDE))

override_dh_auto_clean-arch:
	$(MAKE) $(MAKEOPTS) -C cpp clean
	for v in $(PHP_VERSIONS); do \
	  rm -rf php-$${v}; \
	done
	PYTHON=python3 $(MAKE) $(MAKEOPTS) -C python clean

override_dh_auto_clean-indep:
	$(MAKE) $(MAKEOPTS) -C cpp clean
        # Don't fail if gradle is not installed
	-$(MAKE) $(MAKEOPTS) -C java clean
	rm -rf java/.gradle
	rm -rf $(CURDIR)/.gradle

override_dh_auto_test-arch:
ifeq ($(filter nocheck notest,$(DEB_BUILD_OPTIONS)),)
	-$(MAKE) $(MAKEOPTS) -C cpp test
endif

override_dh_auto_test-indep:
ifeq ($(filter nocheck notest,$(DEB_BUILD_OPTIONS)),)
	-$(MAKE) $(MAKEOPTS) -C java test
endif

override_dh_clean:
	find . -iname "*.pyc" -exec rm -rf {} \;
	dh_clean

override_dh_systemd_start:
	dh_systemd_start --no-start

override_dh_systemd_enable:
	dh_systemd_enable --name icegridregistry
	dh_systemd_enable --name icegridnode
	dh_systemd_enable --name glacier2router

override_dh_install:
	install -d -m 0755 $(DESTDIR)/usr/bin
	install -m 0755 debian/zeroc-icegridgui.icegridgui $(DESTDIR)/usr/bin/icegridgui
	install -m 0644 debian/zeroc-icegridgui.icegridgui.1 $(DESTDIR)/usr/share/man/man1/icegridgui.1
	install -d -m 0755 $(DESTDIR)/etc/

	install -m 0644 debian/zeroc-glacier2.glacier2router.conf $(DESTDIR)/etc/glacier2router.conf
	install -m 0644 debian/zeroc-icegrid.icegridnode.conf $(DESTDIR)/etc/icegridnode.conf
	install -m 0644 debian/zeroc-icegrid.icegridregistry.conf $(DESTDIR)/etc/icegridregistry.conf

	for slice in $(DESTDIR)/usr/share/Ice-$(VERSION)/icegrid-slice.*.ice.gz; do \
	  gzip -d $${slice}; \
	  gzip -9 -n $${slice%.gz}; \
	done

	dh_install --list-missing -X.pom -XICE_LICENSE -XLICENSE

override_dh_installdocs:
	dh_installdocs -A debian/README

override_mh_install-arch:

override_mh_install-indep:
	mh_install

get-orig-source:
	uscan --download-current-version --rename --force-download

## zeroc-ice 3.6.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # **********************************************************************
 #
-# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
+# Copyright (c) 2003-2017 ZeroC, Inc. All rights reserved.
 #
 # This copy of Ice is licensed to you under the terms described in the
 # ICE_LICENSE file included in this distribution.

=== cpp/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # **********************************************************************
 #
-# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
+# Copyright (c) 2003-2017 ZeroC, Inc. All rights reserved.
 #
 # This copy of Ice is licensed to you under the terms described in the
 # ICE_LICENSE file included in this distribution.

=== csharp/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # **********************************************************************
 #
-# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
+# Copyright (c) 2003-2017 ZeroC, Inc. All rights reserved.
 #
 # This copy of Ice is licensed to you under the terms described in the
 # ICE_LICENSE file included in this distribution.

=== java/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # **********************************************************************
 #
-# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
+# Copyright (c) 2003-2017 ZeroC, Inc. All rights reserved.
 #
 # This copy of Ice is licensed to you under the terms described in the
 # ICE_LICENSE file included in this distribution.

=== js/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # **********************************************************************
 #
-# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
+# Copyright (c) 2003-2017 ZeroC, Inc. All rights reserved.
 #
 # This copy of Ice is licensed to you under the terms described in the
 # ICE_LICENSE file included in this distribution.
@@ -27,4 +27,4 @@
 	@python ./allTests.py
 
 npminstall:
-	$(NPM) install
+	$(NPM) install --no-optional

=== objective-c/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # **********************************************************************
 #
-# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
+# Copyright (c) 2003-2017 ZeroC, Inc. All rights reserved.
 #
 # This copy of Ice is licensed to you under the terms described in the
 # ICE_LICENSE file included in this distribution.

=== php/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # **********************************************************************
 #
-# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
+# Copyright (c) 2003-2017 ZeroC, Inc. All rights reserved.
 #
 # This copy of Ice is licensed to you under the terms described in the
 # ICE_LICENSE file included in this distribution.

=== python/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # **********************************************************************
 #
-# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
+# Copyright (c) 2003-2017 ZeroC, Inc. All rights reserved.
 #
 # This copy of Ice is licensed to you under the terms described in the
 # ICE_LICENSE file included in this distribution.

=== ruby/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # **********************************************************************
 #
-# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
+# Copyright (c) 2003-2017 ZeroC, Inc. All rights reserved.
 #
 # This copy of Ice is licensed to you under the terms described in the
 # ICE_LICENSE file included in this distribution.

=== cpp/config/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # **********************************************************************
 #
-# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
+# Copyright (c) 2003-2017 ZeroC, Inc. All rights reserved.
 #
 # This copy of Ice is licensed to you under the terms described in the
 # ICE_LICENSE file included in this distribution.

=== cpp/include/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # **********************************************************************
 #
-# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
+# Copyright (c) 2003-2017 ZeroC, Inc. All rights reserved.
 #
 # This copy of Ice is licensed to you under the terms described in the
 # ICE_LICENSE file included in this distribution.

=== cpp/src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # **********************************************************************
 #
-# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
+# Copyright (c) 2003-2017 ZeroC, Inc. All rights reserved.
 #
 # This copy of Ice is licensed to you under the terms described in the
 # ICE_LICENSE file included in this distribution.

=== debian/changelog ===
zeroc-ice (3.6.4-1+buster) unstable; urgency=medium

  * Removed icegridgui patch, no longer necessary with 3.6.4
  * Set iceBuilderClassPath to use the local Ice Builder plug-in
  * Add class path entries to JAR files
  * Renamed zeroc-icegrid.icegridnode.service
  * Enable jarsClassPath see ICE-8444
  * Imported Upstream version 3.6.4

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Fri, 08 Sep 2017 20:36:13 +0200

zeroc-ice (3.6.3-6) unstable; urgency=medium

  * Add python2 packages
  * Update obsolete standards version
  * Fix usage of deprecated operator < in dependencies
  * Update .gitignore file
  * Rebuild libzeroc-ice3.6 with G++ 7 and bump symbols
  * Update git-buildpackage configuration for 3.6-sid branch

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Thu, 10 Aug 2017 10:48:29 +0000

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                dh-php (>= 0.20),
                dh-python,
                dh-systemd (>= 1.3),
+               g++ (>= 4:7),
                libbz2-dev,
                libdb++-dev,
                libexpat1-dev,
@@ -24,10 +25,13 @@
                javahelper,
                php-all-dev,
                php-cli,
+               python,
+               python-dev,
+               python-setuptools,
                python3,
                python3-dev,
                python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 X-Python3-Version: >= 3.4
 Homepage: https://zeroc.com
 Vcs-Git: https://github.com/zeroc-ice/ice-debian-packaging.git
@@ -148,6 +152,21 @@
  network programming interfaces and allows you to focus your efforts on
  your application logic.
 
+Package: python-zeroc-ice
+Architecture: any
+Section: python
+Depends: libzeroc-ice3.6 (= ${binary:Version}),
+         ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends}
+Description: Python 2 extension for Ice
+ This package contains a Python 2 extension for communication with Ice.
+ .
+ Ice is a comprehensive RPC framework that helps you network your software
+ with minimal effort. Ice takes care of all interactions with low-level
+ network programming interfaces and allows you to focus your efforts on
+ your application logic.
+
 Package: python3-zeroc-ice
 Architecture: any
 Section: python
@@ -167,8 +186,8 @@
 Architecture: any
 Multi-Arch: foreign
 Section: net
-Conflicts: libzeroc-freeze3.6 (< 3.6.3-1)
-Breaks: libzeroc-freeze3.6 (< 3.6.3-1)
+Conflicts: libzeroc-freeze3.6 (<< 3.6.3-1)
+Breaks: libzeroc-freeze3.6 (<< 3.6.3-1)
 Replaces: glacier2,
           ice35-services
 Depends: libzeroc-ice3.6 (= ${binary:Version}),
@@ -285,8 +304,8 @@
 Replaces: ice-utils,
           icegrid-gui,
           ice-utils-java
-Conflicts: zeroc-ice-utils-java (< 3.6.3-1)
-Breaks: zeroc-ice-utils-java (< 3.6.3-1)
+Conflicts: zeroc-ice-utils-java (<< 3.6.3-1)
+Breaks: zeroc-ice-utils-java (<< 3.6.3-1)
 Depends: default-jre | default-jdk | openjdk-7-jdk | openjdk-8-jdk | oracle-java7-installer | oracle-java8-installer | openjdk-7-jre | openjdk-8-jre,
          libzeroc-ice3.6-java (>= ${source:Version}),
          ${java:Depends},
@@ -298,21 +317,3 @@
  Activities such as starting a server or modifying a configuration setting are
  just a mouse click away.
  .
- Ice is a comprehensive RPC framework that helps you network your software
- with minimal effort. Ice takes care of all interactions with low-level
- network programming interfaces and allows you to focus your efforts on
- your application logic.
-
-Package: zeroc-icebox
-Architecture: any
-Multi-Arch: foreign
-Section: net
-Replaces: icebox
-Provides: icebox
-Depends: libzeroc-ice3.6 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: IceBox server, a framework for Ice application services
- This package contains the IceBox server, an easy-to-use framework for
- developing and deploying application services.
- .

=== debian/rules ===
--- 
+++ 
@@ -28,15 +28,18 @@
 			  -PicegridguiProguard=false \
 			  -PjgoodiesLooksVersion=debian \
 			  -PjgoodiesFormsVersion=debian \
-			  -PiceBuilderVersion=debian
+			  -PiceBuilderVersion=debian \
+			  -PiceBuilderClassPath=com.zeroc.gradle.ice-builder \
+			  -PjarsClassPath=true
 
 #
 # These files are not installed with any debian package.
 #
 INSTALL_EXCLUDE		= usr/lib/$(DEB_HOST_MULTIARCH)/libIceStormService.so
 
-export PYTHONDIR := $(shell python3 -c "import sys;print('python{0}.{1}'.format(sys.version_info.major, sys.version_info.minor))")
-
+PYTHON_VERSIONS := 2 3
+export PYTHON2DIR := $(shell python2 -c "import sys;print('python{0}.{1}'.format(sys.version_info.major, sys.version_info.minor))")
+export PYTHON3DIR := $(shell python3 -c "import sys;print('python{0}.{1}'.format(sys.version_info.major, sys.version_info.minor))")
 PHP_VERSIONS := $(shell /usr/sbin/phpquery -V)
 
 export VERSION   := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's,^\([.0-9]*\).*,\1,')
@@ -78,7 +81,10 @@
 	  cp -a php php-$${v}; \
 	  PHP_CONFIG=php-config$${v} $(MAKE) $(MAKEOPTS) -C php-$${v}; \
 	done
-	PYTHON=python3 $(MAKE) $(MAKEOPTS) -C python
+	for v in $(PYTHON_VERSIONS); do \
+	  cp -a python python-$${v}; \
+	  PYTHON=python$${v} $(MAKE) $(MAKEOPTS) -C python-$${v}; \
+	done
 
 override_dh_auto_build-indep:
 	$(MAKE) $(MAKEOPTS) -C cpp
@@ -93,7 +99,9 @@
 	for v in $(PHP_VERSIONS); do \
 	  PHP_CONFIG=php-config$${v} $(MAKE) $(MAKEOPTS) -C php-$${v} install; \
 	done
-	PYTHON=python3 $(MAKE) $(MAKEOPTS) -C python install
+	for v in $(PYTHON_VERSIONS); do \
+	  PYTHON=python$${v} $(MAKE) $(MAKEOPTS) -C python-$${v} install; \
+	done
 	rm -rf $(addprefix $(DESTDIR)/,$(INSTALL_EXCLUDE))
 
 override_dh_auto_install-indep:
@@ -107,7 +115,9 @@
 	for v in $(PHP_VERSIONS); do \
 	  rm -rf php-$${v}; \
 	done
-	PYTHON=python3 $(MAKE) $(MAKEOPTS) -C python clean
+	for v in $(PYTHON_VERSIONS); do \
+	  rm -rf python-$${v}; \
+	done
 
 override_dh_auto_clean-indep:
 	$(MAKE) $(MAKEOPTS) -C cpp clean
